HEAD(1)

NAME
head - output the first part of files

SYNOPSIS
head [OPTION]... [FILE]...

DESCRIPTION

Print the first 10 lines of each FILE to standard output. With more than one FILE, precede each with a header giving the file name. With no FILE, or when FILE is -, read standard input.

Mandatory arguments to long options are mandatory for short options too.

-c, --bytes=[-]N
    print the first N bytes of each file; with the leading `-', print all but the last N bytes of each file

-n, --lines=[-]N
    print the first N lines instead of the first 10; with the leading `-', print all but the last N lines of each file

-q, --quiet, --silent
    never print headers giving file names

-v, --verbose
    always print headers giving file names

--help
    display this help and exit

--version
    output version information and exit

N may have a multiplier suffix: b 512, k 1024, m 1024*1024.

AUTHOR
Written by David MacKenzie and Jim Meyering.

REPORTING BUGS
Report bugs to <bug-coreutils@gnu.org>.

COPYRIGHT
Copyright © 2005 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
The full documentation for head is maintained as a Texinfo manual. If the info and head programs are properly installed at your site, the command

    info head

should give you access to the complete manual.